//
// WINAPP.H -- Header File for Demo Program WINAPP.C
//

#if !defined(WIN32)

  #define WIN16     TRUE
  #define WIN31

  #define TCHAR     char
  #define TEXT(x)   x

  #define INT       int
  #define UINT      WORD
  #define APIENTRY  PASCAL
  #define WNDPROC   FARPROC

#else

  #define WIN16     FALSE

#endif

struct decodeUINT {                         // structure associates
    UINT Code;                              // messages or menu IDs
    LONG (*Fxn)(HWND, UINT, UINT, LONG); }; // with a function

#define     IDM_EXIT     100
#define     IDM_ABOUT    101

// Function prototypes
INT APIENTRY WinMain(HANDLE, HANDLE, LPSTR, INT);
BOOL InitApp(HANDLE);
BOOL InitInstance(HANDLE, INT);
BOOL TermInstance(HANDLE);
LONG CALLBACK FrameWndProc(HWND, UINT, UINT, LONG);
BOOL CALLBACK AboutDlgProc (HWND, UINT, UINT, LONG);
LONG DoDestroy(HWND, UINT, UINT, LONG);
LONG DoPaint(HWND, UINT, UINT, LONG);
LONG DoCommand(HWND, UINT, UINT, LONG);
LONG DoMenuExit(HWND, UINT, UINT, LONG);
LONG DoMenuAbout(HWND, UINT, UINT, LONG);


